xref: /freebsd/contrib/expat/tests/Makefile.in (revision a3557ef0)
1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17#
18#                          __  __            _
19#                       ___\ \/ /_ __   __ _| |_
20#                      / _ \\  /| '_ \ / _` | __|
21#                     |  __//  \| |_) | (_| | |_
22#                      \___/_/\_\ .__/ \__,_|\__|
23#                               |_| XML parser
24#
25# Copyright (c) 2017 Expat development team
26# Licensed under the MIT license:
27#
28# Permission is  hereby granted,  free of charge,  to any  person obtaining
29# a  copy  of  this  software   and  associated  documentation  files  (the
30# "Software"),  to  deal in  the  Software  without restriction,  including
31# without  limitation the  rights  to use,  copy,  modify, merge,  publish,
32# distribute, sublicense, and/or sell copies of the Software, and to permit
33# persons  to whom  the Software  is  furnished to  do so,  subject to  the
34# following conditions:
35#
36# The above copyright  notice and this permission notice  shall be included
37# in all copies or substantial portions of the Software.
38#
39# THE  SOFTWARE  IS  PROVIDED  "AS  IS",  WITHOUT  WARRANTY  OF  ANY  KIND,
40# EXPRESS  OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO  THE WARRANTIES  OF
41# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
42# NO EVENT SHALL THE AUTHORS OR  COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
43# DAMAGES OR  OTHER LIABILITY, WHETHER  IN AN  ACTION OF CONTRACT,  TORT OR
44# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
45# USE OR OTHER DEALINGS IN THE SOFTWARE.
46
47VPATH = @srcdir@
48am__is_gnu_make = { \
49  if test -z '$(MAKELEVEL)'; then \
50    false; \
51  elif test -n '$(MAKE_HOST)'; then \
52    true; \
53  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
54    true; \
55  else \
56    false; \
57  fi; \
58}
59am__make_running_with_option = \
60  case $${target_option-} in \
61      ?) ;; \
62      *) echo "am__make_running_with_option: internal error: invalid" \
63              "target option '$${target_option-}' specified" >&2; \
64         exit 1;; \
65  esac; \
66  has_opt=no; \
67  sane_makeflags=$$MAKEFLAGS; \
68  if $(am__is_gnu_make); then \
69    sane_makeflags=$$MFLAGS; \
70  else \
71    case $$MAKEFLAGS in \
72      *\\[\ \	]*) \
73        bs=\\; \
74        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
75          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
76    esac; \
77  fi; \
78  skip_next=no; \
79  strip_trailopt () \
80  { \
81    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
82  }; \
83  for flg in $$sane_makeflags; do \
84    test $$skip_next = yes && { skip_next=no; continue; }; \
85    case $$flg in \
86      *=*|--*) continue;; \
87        -*I) strip_trailopt 'I'; skip_next=yes;; \
88      -*I?*) strip_trailopt 'I';; \
89        -*O) strip_trailopt 'O'; skip_next=yes;; \
90      -*O?*) strip_trailopt 'O';; \
91        -*l) strip_trailopt 'l'; skip_next=yes;; \
92      -*l?*) strip_trailopt 'l';; \
93      -[dEDm]) skip_next=yes;; \
94      -[JT]) skip_next=yes;; \
95    esac; \
96    case $$flg in \
97      *$$target_option*) has_opt=yes; break;; \
98    esac; \
99  done; \
100  test $$has_opt = yes
101am__make_dryrun = (target_option=n; $(am__make_running_with_option))
102am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
103pkgdatadir = $(datadir)/@PACKAGE@
104pkgincludedir = $(includedir)/@PACKAGE@
105pkglibdir = $(libdir)/@PACKAGE@
106pkglibexecdir = $(libexecdir)/@PACKAGE@
107am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
108install_sh_DATA = $(install_sh) -c -m 644
109install_sh_PROGRAM = $(install_sh) -c
110install_sh_SCRIPT = $(install_sh) -c
111INSTALL_HEADER = $(INSTALL_DATA)
112transform = $(program_transform_name)
113NORMAL_INSTALL = :
114PRE_INSTALL = :
115POST_INSTALL = :
116NORMAL_UNINSTALL = :
117PRE_UNINSTALL = :
118POST_UNINSTALL = :
119build_triplet = @build@
120host_triplet = @host@
121check_PROGRAMS = runtests$(EXEEXT) runtestspp$(EXEEXT)
122TESTS = runtests$(EXEEXT) runtestspp$(EXEEXT)
123subdir = tests
124ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
125am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
126	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
127	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
128	$(top_srcdir)/acinclude.m4 \
129	$(top_srcdir)/conftools/ax-require-defined.m4 \
130	$(top_srcdir)/conftools/ax-check-compile-flag.m4 \
131	$(top_srcdir)/conftools/ax-check-link-flag.m4 \
132	$(top_srcdir)/conftools/ax-append-flag.m4 \
133	$(top_srcdir)/conftools/ax-append-compile-flags.m4 \
134	$(top_srcdir)/conftools/ax-append-link-flags.m4 \
135	$(top_srcdir)/conftools/expatcfg-compiler-supports-visibility.m4 \
136	$(top_srcdir)/configure.ac
137am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
138	$(ACLOCAL_M4)
139DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
140mkinstalldirs = $(install_sh) -d
141CONFIG_HEADER = $(top_builddir)/expat_config.h
142CONFIG_CLEAN_FILES =
143CONFIG_CLEAN_VPATH_FILES =
144LIBRARIES = $(noinst_LIBRARIES)
145ARFLAGS = cru
146AM_V_AR = $(am__v_AR_@AM_V@)
147am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
148am__v_AR_0 = @echo "  AR      " $@;
149am__v_AR_1 =
150libruntests_a_AR = $(AR) $(ARFLAGS)
151libruntests_a_LIBADD =
152am_libruntests_a_OBJECTS = chardata.$(OBJEXT) structdata.$(OBJEXT) \
153	memcheck.$(OBJEXT) minicheck.$(OBJEXT)
154libruntests_a_OBJECTS = $(am_libruntests_a_OBJECTS)
155am_runtests_OBJECTS = runtests.$(OBJEXT)
156runtests_OBJECTS = $(am_runtests_OBJECTS)
157runtests_DEPENDENCIES = libruntests.a ../lib/libexpat.la
158AM_V_lt = $(am__v_lt_@AM_V@)
159am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
160am__v_lt_0 = --silent
161am__v_lt_1 =
162am_runtestspp_OBJECTS = runtestspp.$(OBJEXT)
163runtestspp_OBJECTS = $(am_runtestspp_OBJECTS)
164runtestspp_DEPENDENCIES = libruntests.a ../lib/libexpat.la
165AM_V_P = $(am__v_P_@AM_V@)
166am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
167am__v_P_0 = false
168am__v_P_1 = :
169AM_V_GEN = $(am__v_GEN_@AM_V@)
170am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
171am__v_GEN_0 = @echo "  GEN     " $@;
172am__v_GEN_1 =
173AM_V_at = $(am__v_at_@AM_V@)
174am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
175am__v_at_0 = @
176am__v_at_1 =
177DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
178depcomp = $(SHELL) $(top_srcdir)/conftools/depcomp
179am__maybe_remake_depfiles = depfiles
180am__depfiles_remade = ./$(DEPDIR)/chardata.Po ./$(DEPDIR)/memcheck.Po \
181	./$(DEPDIR)/minicheck.Po ./$(DEPDIR)/runtests.Po \
182	./$(DEPDIR)/runtestspp.Po ./$(DEPDIR)/structdata.Po
183am__mv = mv -f
184COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
185	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
186LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
187	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
188	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
189	$(AM_CFLAGS) $(CFLAGS)
190AM_V_CC = $(am__v_CC_@AM_V@)
191am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
192am__v_CC_0 = @echo "  CC      " $@;
193am__v_CC_1 =
194CCLD = $(CC)
195LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
196	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
197	$(AM_LDFLAGS) $(LDFLAGS) -o $@
198AM_V_CCLD = $(am__v_CCLD_@AM_V@)
199am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
200am__v_CCLD_0 = @echo "  CCLD    " $@;
201am__v_CCLD_1 =
202CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
203	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
204LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
205	$(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
206	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
207	$(AM_CXXFLAGS) $(CXXFLAGS)
208AM_V_CXX = $(am__v_CXX_@AM_V@)
209am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
210am__v_CXX_0 = @echo "  CXX     " $@;
211am__v_CXX_1 =
212CXXLD = $(CXX)
213CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
214	$(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
215	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
216AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
217am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
218am__v_CXXLD_0 = @echo "  CXXLD   " $@;
219am__v_CXXLD_1 =
220SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
221	$(runtestspp_SOURCES)
222DIST_SOURCES = $(libruntests_a_SOURCES) $(runtests_SOURCES) \
223	$(runtestspp_SOURCES)
224RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
225	ctags-recursive dvi-recursive html-recursive info-recursive \
226	install-data-recursive install-dvi-recursive \
227	install-exec-recursive install-html-recursive \
228	install-info-recursive install-pdf-recursive \
229	install-ps-recursive install-recursive installcheck-recursive \
230	installdirs-recursive pdf-recursive ps-recursive \
231	tags-recursive uninstall-recursive
232am__can_run_installinfo = \
233  case $$AM_UPDATE_INFO_DIR in \
234    n|no|NO) false;; \
235    *) (install-info --version) >/dev/null 2>&1;; \
236  esac
237RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
238  distclean-recursive maintainer-clean-recursive
239am__recursive_targets = \
240  $(RECURSIVE_TARGETS) \
241  $(RECURSIVE_CLEAN_TARGETS) \
242  $(am__extra_recursive_targets)
243AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
244	check recheck distdir distdir-am
245am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
246# Read a list of newline-separated strings from the standard input,
247# and print each of them once, without duplicates.  Input order is
248# *not* preserved.
249am__uniquify_input = $(AWK) '\
250  BEGIN { nonempty = 0; } \
251  { items[$$0] = 1; nonempty = 1; } \
252  END { if (nonempty) { for (i in items) print i; }; } \
253'
254# Make sure the list of sources is unique.  This is necessary because,
255# e.g., the same source file might be shared among _SOURCES variables
256# for different programs/libraries.
257am__define_uniq_tagged_files = \
258  list='$(am__tagged_files)'; \
259  unique=`for i in $$list; do \
260    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
261  done | $(am__uniquify_input)`
262ETAGS = etags
263CTAGS = ctags
264am__tty_colors_dummy = \
265  mgn= red= grn= lgn= blu= brg= std=; \
266  am__color_tests=no
267am__tty_colors = { \
268  $(am__tty_colors_dummy); \
269  if test "X$(AM_COLOR_TESTS)" = Xno; then \
270    am__color_tests=no; \
271  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
272    am__color_tests=yes; \
273  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
274    am__color_tests=yes; \
275  fi; \
276  if test $$am__color_tests = yes; then \
277    red=''; \
278    grn=''; \
279    lgn=''; \
280    blu=''; \
281    mgn=''; \
282    brg=''; \
283    std=''; \
284  fi; \
285}
286am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
287am__vpath_adj = case $$p in \
288    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
289    *) f=$$p;; \
290  esac;
291am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
292am__install_max = 40
293am__nobase_strip_setup = \
294  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
295am__nobase_strip = \
296  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
297am__nobase_list = $(am__nobase_strip_setup); \
298  for p in $$list; do echo "$$p $$p"; done | \
299  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
300  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
301    if (++n[$$2] == $(am__install_max)) \
302      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
303    END { for (dir in files) print dir, files[dir] }'
304am__base_list = \
305  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
306  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
307am__uninstall_files_from_dir = { \
308  test -z "$$files" \
309    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
310    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
311         $(am__cd) "$$dir" && rm -f $$files; }; \
312  }
313am__recheck_rx = ^[ 	]*:recheck:[ 	]*
314am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
315am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
316# A command that, given a newline-separated list of test names on the
317# standard input, print the name of the tests that are to be re-run
318# upon "make recheck".
319am__list_recheck_tests = $(AWK) '{ \
320  recheck = 1; \
321  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
322    { \
323      if (rc < 0) \
324        { \
325          if ((getline line2 < ($$0 ".log")) < 0) \
326	    recheck = 0; \
327          break; \
328        } \
329      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
330        { \
331          recheck = 0; \
332          break; \
333        } \
334      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
335        { \
336          break; \
337        } \
338    }; \
339  if (recheck) \
340    print $$0; \
341  close ($$0 ".trs"); \
342  close ($$0 ".log"); \
343}'
344# A command that, given a newline-separated list of test names on the
345# standard input, create the global log from their .trs and .log files.
346am__create_global_log = $(AWK) ' \
347function fatal(msg) \
348{ \
349  print "fatal: making $@: " msg | "cat >&2"; \
350  exit 1; \
351} \
352function rst_section(header) \
353{ \
354  print header; \
355  len = length(header); \
356  for (i = 1; i <= len; i = i + 1) \
357    printf "="; \
358  printf "\n\n"; \
359} \
360{ \
361  copy_in_global_log = 1; \
362  global_test_result = "RUN"; \
363  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
364    { \
365      if (rc < 0) \
366         fatal("failed to read from " $$0 ".trs"); \
367      if (line ~ /$(am__global_test_result_rx)/) \
368        { \
369          sub("$(am__global_test_result_rx)", "", line); \
370          sub("[ 	]*$$", "", line); \
371          global_test_result = line; \
372        } \
373      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
374        copy_in_global_log = 0; \
375    }; \
376  if (copy_in_global_log) \
377    { \
378      rst_section(global_test_result ": " $$0); \
379      while ((rc = (getline line < ($$0 ".log"))) != 0) \
380      { \
381        if (rc < 0) \
382          fatal("failed to read from " $$0 ".log"); \
383        print line; \
384      }; \
385      printf "\n"; \
386    }; \
387  close ($$0 ".trs"); \
388  close ($$0 ".log"); \
389}'
390# Restructured Text title.
391am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
392# Solaris 10 'make', and several other traditional 'make' implementations,
393# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
394# by disabling -e (using the XSI extension "set +e") if it's set.
395am__sh_e_setup = case $$- in *e*) set +e;; esac
396# Default flags passed to test drivers.
397am__common_driver_flags = \
398  --color-tests "$$am__color_tests" \
399  --enable-hard-errors "$$am__enable_hard_errors" \
400  --expect-failure "$$am__expect_failure"
401# To be inserted before the command running the test.  Creates the
402# directory for the log if needed.  Stores in $dir the directory
403# containing $f, in $tst the test, in $log the log.  Executes the
404# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
405# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
406# will run the test scripts (or their associated LOG_COMPILER, if
407# thy have one).
408am__check_pre = \
409$(am__sh_e_setup);					\
410$(am__vpath_adj_setup) $(am__vpath_adj)			\
411$(am__tty_colors);					\
412srcdir=$(srcdir); export srcdir;			\
413case "$@" in						\
414  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
415    *) am__odir=.;; 					\
416esac;							\
417test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
418  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
419if test -f "./$$f"; then dir=./;			\
420elif test -f "$$f"; then dir=;				\
421else dir="$(srcdir)/"; fi;				\
422tst=$$dir$$f; log='$@'; 				\
423if test -n '$(DISABLE_HARD_ERRORS)'; then		\
424  am__enable_hard_errors=no; 				\
425else							\
426  am__enable_hard_errors=yes; 				\
427fi; 							\
428case " $(XFAIL_TESTS) " in				\
429  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
430    am__expect_failure=yes;;				\
431  *)							\
432    am__expect_failure=no;;				\
433esac; 							\
434$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
435# A shell command to get the names of the tests scripts with any registered
436# extension removed (i.e., equivalently, the names of the test logs, with
437# the '.log' extension removed).  The result is saved in the shell variable
438# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
439# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
440# since that might cause problem with VPATH rewrites for suffix-less tests.
441# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
442am__set_TESTS_bases = \
443  bases='$(TEST_LOGS)'; \
444  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
445  bases=`echo $$bases`
446RECHECK_LOGS = $(TEST_LOGS)
447TEST_SUITE_LOG = test-suite.log
448TEST_EXTENSIONS = @EXEEXT@ .test
449LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
450am__set_b = \
451  case '$@' in \
452    */*) \
453      case '$*' in \
454        */*) b='$*';; \
455          *) b=`echo '$@' | sed 's/\.log$$//'`; \
456       esac;; \
457    *) \
458      b='$*';; \
459  esac
460am__test_logs1 = $(TESTS:=.log)
461am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
462TEST_LOGS = $(am__test_logs2:.test.log=.log)
463TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/conftools/test-driver
464TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
465	$(TEST_LOG_FLAGS)
466DIST_SUBDIRS = $(SUBDIRS)
467am__DIST_COMMON = $(srcdir)/Makefile.in \
468	$(top_srcdir)/conftools/depcomp \
469	$(top_srcdir)/conftools/test-driver
470DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
471am__relativize = \
472  dir0=`pwd`; \
473  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
474  sed_rest='s,^[^/]*/*,,'; \
475  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
476  sed_butlast='s,/*[^/]*$$,,'; \
477  while test -n "$$dir1"; do \
478    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
479    if test "$$first" != "."; then \
480      if test "$$first" = ".."; then \
481        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
482        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
483      else \
484        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
485        if test "$$first2" = "$$first"; then \
486          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
487        else \
488          dir2="../$$dir2"; \
489        fi; \
490        dir0="$$dir0"/"$$first"; \
491      fi; \
492    fi; \
493    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
494  done; \
495  reldir="$$dir2"
496ACLOCAL = @ACLOCAL@
497AMTAR = @AMTAR@
498AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
499AR = @AR@
500AS = @AS@
501AUTOCONF = @AUTOCONF@
502AUTOHEADER = @AUTOHEADER@
503AUTOMAKE = @AUTOMAKE@
504AWK = @AWK@
505CC = @CC@
506CCDEPMODE = @CCDEPMODE@
507CFLAGS = @CFLAGS@
508CPP = @CPP@
509CPPFLAGS = @CPPFLAGS@
510CXX = @CXX@
511CXXCPP = @CXXCPP@
512CXXDEPMODE = @CXXDEPMODE@
513CXXFLAGS = @CXXFLAGS@
514CYGPATH_W = @CYGPATH_W@
515DEFS = @DEFS@
516DEPDIR = @DEPDIR@
517DLLTOOL = @DLLTOOL@
518DOCBOOK_TO_MAN = @DOCBOOK_TO_MAN@
519DSYMUTIL = @DSYMUTIL@
520DUMPBIN = @DUMPBIN@
521ECHO_C = @ECHO_C@
522ECHO_N = @ECHO_N@
523ECHO_T = @ECHO_T@
524EGREP = @EGREP@
525EXEEXT = @EXEEXT@
526FGREP = @FGREP@
527FILEMAP = @FILEMAP@
528GREP = @GREP@
529INSTALL = @INSTALL@
530INSTALL_DATA = @INSTALL_DATA@
531INSTALL_PROGRAM = @INSTALL_PROGRAM@
532INSTALL_SCRIPT = @INSTALL_SCRIPT@
533INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
534LD = @LD@
535LDFLAGS = @LDFLAGS@
536LIBAGE = @LIBAGE@
537LIBCURRENT = @LIBCURRENT@
538LIBOBJS = @LIBOBJS@
539LIBREVISION = @LIBREVISION@
540LIBS = @LIBS@
541LIBTOOL = @LIBTOOL@
542LIPO = @LIPO@
543LN_S = @LN_S@
544LTLIBOBJS = @LTLIBOBJS@
545LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
546MAKEINFO = @MAKEINFO@
547MANIFEST_TOOL = @MANIFEST_TOOL@
548MKDIR_P = @MKDIR_P@
549NM = @NM@
550NMEDIT = @NMEDIT@
551OBJDUMP = @OBJDUMP@
552OBJEXT = @OBJEXT@
553OTOOL = @OTOOL@
554OTOOL64 = @OTOOL64@
555PACKAGE = @PACKAGE@
556PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
557PACKAGE_NAME = @PACKAGE_NAME@
558PACKAGE_STRING = @PACKAGE_STRING@
559PACKAGE_TARNAME = @PACKAGE_TARNAME@
560PACKAGE_URL = @PACKAGE_URL@
561PACKAGE_VERSION = @PACKAGE_VERSION@
562PATH_SEPARATOR = @PATH_SEPARATOR@
563RANLIB = @RANLIB@
564SED = @SED@
565SET_MAKE = @SET_MAKE@
566SHELL = @SHELL@
567STRIP = @STRIP@
568VERSION = @VERSION@
569abs_builddir = @abs_builddir@
570abs_srcdir = @abs_srcdir@
571abs_top_builddir = @abs_top_builddir@
572abs_top_srcdir = @abs_top_srcdir@
573ac_ct_AR = @ac_ct_AR@
574ac_ct_CC = @ac_ct_CC@
575ac_ct_CXX = @ac_ct_CXX@
576ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
577am__include = @am__include@
578am__leading_dot = @am__leading_dot@
579am__quote = @am__quote@
580am__tar = @am__tar@
581am__untar = @am__untar@
582bindir = @bindir@
583build = @build@
584build_alias = @build_alias@
585build_cpu = @build_cpu@
586build_os = @build_os@
587build_vendor = @build_vendor@
588builddir = @builddir@
589datadir = @datadir@
590datarootdir = @datarootdir@
591docdir = @docdir@
592dvidir = @dvidir@
593exec_prefix = @exec_prefix@
594host = @host@
595host_alias = @host_alias@
596host_cpu = @host_cpu@
597host_os = @host_os@
598host_vendor = @host_vendor@
599htmldir = @htmldir@
600includedir = @includedir@
601infodir = @infodir@
602install_sh = @install_sh@
603libdir = @libdir@
604libexecdir = @libexecdir@
605localedir = @localedir@
606localstatedir = @localstatedir@
607mandir = @mandir@
608mkdir_p = @mkdir_p@
609oldincludedir = @oldincludedir@
610pdfdir = @pdfdir@
611prefix = @prefix@
612program_transform_name = @program_transform_name@
613psdir = @psdir@
614sbindir = @sbindir@
615sharedstatedir = @sharedstatedir@
616srcdir = @srcdir@
617sysconfdir = @sysconfdir@
618target_alias = @target_alias@
619top_build_prefix = @top_build_prefix@
620top_builddir = @top_builddir@
621top_srcdir = @top_srcdir@
622SUBDIRS = . benchmark
623AM_CPPFLAGS = -I$(srcdir)/../lib
624noinst_LIBRARIES = libruntests.a
625
626# To support MinGW and Non-MinGW at the same time:
627LOG_DRIVER = $(srcdir)/../test-driver-wrapper.sh
628libruntests_a_SOURCES = \
629    chardata.c \
630    structdata.c \
631    memcheck.c \
632    minicheck.c
633
634runtests_SOURCES = \
635    runtests.c
636
637runtestspp_SOURCES = \
638    runtestspp.cpp
639
640runtests_LDADD = libruntests.a ../lib/libexpat.la
641runtestspp_LDADD = libruntests.a ../lib/libexpat.la
642EXTRA_DIST = \
643    chardata.h \
644    structdata.h \
645    minicheck.h \
646    memcheck.h \
647    README.txt \
648    udiffer.py \
649    xmltest.log.expected \
650    xmltest.sh
651
652all: all-recursive
653
654.SUFFIXES:
655.SUFFIXES: .c .cpp .lo .log .o .obj .test .test$(EXEEXT) .trs
656$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
657	@for dep in $?; do \
658	  case '$(am__configure_deps)' in \
659	    *$$dep*) \
660	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
661	        && { if test -f $@; then exit 0; else break; fi; }; \
662	      exit 1;; \
663	  esac; \
664	done; \
665	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
666	$(am__cd) $(top_srcdir) && \
667	  $(AUTOMAKE) --gnu tests/Makefile
668Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
669	@case '$?' in \
670	  *config.status*) \
671	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
672	  *) \
673	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
674	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
675	esac;
676
677$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
678	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
679
680$(top_srcdir)/configure:  $(am__configure_deps)
681	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
682$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
683	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
684$(am__aclocal_m4_deps):
685
686clean-checkPROGRAMS:
687	@list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
688	echo " rm -f" $$list; \
689	rm -f $$list || exit $$?; \
690	test -n "$(EXEEXT)" || exit 0; \
691	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
692	echo " rm -f" $$list; \
693	rm -f $$list
694
695clean-noinstLIBRARIES:
696	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
697
698libruntests.a: $(libruntests_a_OBJECTS) $(libruntests_a_DEPENDENCIES) $(EXTRA_libruntests_a_DEPENDENCIES)
699	$(AM_V_at)-rm -f libruntests.a
700	$(AM_V_AR)$(libruntests_a_AR) libruntests.a $(libruntests_a_OBJECTS) $(libruntests_a_LIBADD)
701	$(AM_V_at)$(RANLIB) libruntests.a
702
703runtests$(EXEEXT): $(runtests_OBJECTS) $(runtests_DEPENDENCIES) $(EXTRA_runtests_DEPENDENCIES)
704	@rm -f runtests$(EXEEXT)
705	$(AM_V_CCLD)$(LINK) $(runtests_OBJECTS) $(runtests_LDADD) $(LIBS)
706
707runtestspp$(EXEEXT): $(runtestspp_OBJECTS) $(runtestspp_DEPENDENCIES) $(EXTRA_runtestspp_DEPENDENCIES)
708	@rm -f runtestspp$(EXEEXT)
709	$(AM_V_CXXLD)$(CXXLINK) $(runtestspp_OBJECTS) $(runtestspp_LDADD) $(LIBS)
710
711mostlyclean-compile:
712	-rm -f *.$(OBJEXT)
713
714distclean-compile:
715	-rm -f *.tab.c
716
717@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chardata.Po@am__quote@ # am--include-marker
718@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/memcheck.Po@am__quote@ # am--include-marker
719@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/minicheck.Po@am__quote@ # am--include-marker
720@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtests.Po@am__quote@ # am--include-marker
721@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/runtestspp.Po@am__quote@ # am--include-marker
722@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/structdata.Po@am__quote@ # am--include-marker
723
724$(am__depfiles_remade):
725	@$(MKDIR_P) $(@D)
726	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
727
728am--depfiles: $(am__depfiles_remade)
729
730.c.o:
731@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
732@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
733@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
734@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
735@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
736
737.c.obj:
738@am__fastdepCC_TRUE@	$(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
739@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
740@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
741@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
742@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
743
744.c.lo:
745@am__fastdepCC_TRUE@	$(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
746@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
747@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
748@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
749@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
750
751.cpp.o:
752@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
753@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
754@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
755@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
756@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
757
758.cpp.obj:
759@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
760@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
761@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
762@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
763@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
764
765.cpp.lo:
766@am__fastdepCXX_TRUE@	$(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
767@am__fastdepCXX_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
768@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
769@AMDEP_TRUE@@am__fastdepCXX_FALSE@	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
770@am__fastdepCXX_FALSE@	$(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
771
772mostlyclean-libtool:
773	-rm -f *.lo
774
775clean-libtool:
776	-rm -rf .libs _libs
777
778# This directory's subdirectories are mostly independent; you can cd
779# into them and run 'make' without going through this Makefile.
780# To change the values of 'make' variables: instead of editing Makefiles,
781# (1) if the variable is set in 'config.status', edit 'config.status'
782#     (which will cause the Makefiles to be regenerated when you run 'make');
783# (2) otherwise, pass the desired values on the 'make' command line.
784$(am__recursive_targets):
785	@fail=; \
786	if $(am__make_keepgoing); then \
787	  failcom='fail=yes'; \
788	else \
789	  failcom='exit 1'; \
790	fi; \
791	dot_seen=no; \
792	target=`echo $@ | sed s/-recursive//`; \
793	case "$@" in \
794	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
795	  *) list='$(SUBDIRS)' ;; \
796	esac; \
797	for subdir in $$list; do \
798	  echo "Making $$target in $$subdir"; \
799	  if test "$$subdir" = "."; then \
800	    dot_seen=yes; \
801	    local_target="$$target-am"; \
802	  else \
803	    local_target="$$target"; \
804	  fi; \
805	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
806	  || eval $$failcom; \
807	done; \
808	if test "$$dot_seen" = "no"; then \
809	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
810	fi; test -z "$$fail"
811
812ID: $(am__tagged_files)
813	$(am__define_uniq_tagged_files); mkid -fID $$unique
814tags: tags-recursive
815TAGS: tags
816
817tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
818	set x; \
819	here=`pwd`; \
820	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
821	  include_option=--etags-include; \
822	  empty_fix=.; \
823	else \
824	  include_option=--include; \
825	  empty_fix=; \
826	fi; \
827	list='$(SUBDIRS)'; for subdir in $$list; do \
828	  if test "$$subdir" = .; then :; else \
829	    test ! -f $$subdir/TAGS || \
830	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
831	  fi; \
832	done; \
833	$(am__define_uniq_tagged_files); \
834	shift; \
835	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
836	  test -n "$$unique" || unique=$$empty_fix; \
837	  if test $$# -gt 0; then \
838	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
839	      "$$@" $$unique; \
840	  else \
841	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
842	      $$unique; \
843	  fi; \
844	fi
845ctags: ctags-recursive
846
847CTAGS: ctags
848ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
849	$(am__define_uniq_tagged_files); \
850	test -z "$(CTAGS_ARGS)$$unique" \
851	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
852	     $$unique
853
854GTAGS:
855	here=`$(am__cd) $(top_builddir) && pwd` \
856	  && $(am__cd) $(top_srcdir) \
857	  && gtags -i $(GTAGS_ARGS) "$$here"
858cscopelist: cscopelist-recursive
859
860cscopelist-am: $(am__tagged_files)
861	list='$(am__tagged_files)'; \
862	case "$(srcdir)" in \
863	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
864	  *) sdir=$(subdir)/$(srcdir) ;; \
865	esac; \
866	for i in $$list; do \
867	  if test -f "$$i"; then \
868	    echo "$(subdir)/$$i"; \
869	  else \
870	    echo "$$sdir/$$i"; \
871	  fi; \
872	done >> $(top_builddir)/cscope.files
873
874distclean-tags:
875	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
876
877# Recover from deleted '.trs' file; this should ensure that
878# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
879# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
880# to avoid problems with "make -n".
881.log.trs:
882	rm -f $< $@
883	$(MAKE) $(AM_MAKEFLAGS) $<
884
885# Leading 'am--fnord' is there to ensure the list of targets does not
886# expand to empty, as could happen e.g. with make check TESTS=''.
887am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
888am--force-recheck:
889	@:
890
891$(TEST_SUITE_LOG): $(TEST_LOGS)
892	@$(am__set_TESTS_bases); \
893	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
894	redo_bases=`for i in $$bases; do \
895	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
896	            done`; \
897	if test -n "$$redo_bases"; then \
898	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
899	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
900	  if $(am__make_dryrun); then :; else \
901	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
902	  fi; \
903	fi; \
904	if test -n "$$am__remaking_logs"; then \
905	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
906	       "recursion detected" >&2; \
907	elif test -n "$$redo_logs"; then \
908	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
909	fi; \
910	if $(am__make_dryrun); then :; else \
911	  st=0;  \
912	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
913	  for i in $$redo_bases; do \
914	    test -f $$i.trs && test -r $$i.trs \
915	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
916	    test -f $$i.log && test -r $$i.log \
917	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
918	  done; \
919	  test $$st -eq 0 || exit 1; \
920	fi
921	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
922	ws='[ 	]'; \
923	results=`for b in $$bases; do echo $$b.trs; done`; \
924	test -n "$$results" || results=/dev/null; \
925	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
926	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
927	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
928	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
929	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
930	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
931	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
932	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
933	  success=true; \
934	else \
935	  success=false; \
936	fi; \
937	br='==================='; br=$$br$$br$$br$$br; \
938	result_count () \
939	{ \
940	    if test x"$$1" = x"--maybe-color"; then \
941	      maybe_colorize=yes; \
942	    elif test x"$$1" = x"--no-color"; then \
943	      maybe_colorize=no; \
944	    else \
945	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
946	    fi; \
947	    shift; \
948	    desc=$$1 count=$$2; \
949	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
950	      color_start=$$3 color_end=$$std; \
951	    else \
952	      color_start= color_end=; \
953	    fi; \
954	    echo "$${color_start}# $$desc $$count$${color_end}"; \
955	}; \
956	create_testsuite_report () \
957	{ \
958	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
959	  result_count $$1 "PASS: " $$pass  "$$grn"; \
960	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
961	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
962	  result_count $$1 "FAIL: " $$fail  "$$red"; \
963	  result_count $$1 "XPASS:" $$xpass "$$red"; \
964	  result_count $$1 "ERROR:" $$error "$$mgn"; \
965	}; \
966	{								\
967	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
968	    $(am__rst_title);						\
969	  create_testsuite_report --no-color;				\
970	  echo;								\
971	  echo ".. contents:: :depth: 2";				\
972	  echo;								\
973	  for b in $$bases; do echo $$b; done				\
974	    | $(am__create_global_log);					\
975	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
976	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
977	if $$success; then						\
978	  col="$$grn";							\
979	 else								\
980	  col="$$red";							\
981	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
982	fi;								\
983	echo "$${col}$$br$${std}"; 					\
984	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
985	echo "$${col}$$br$${std}"; 					\
986	create_testsuite_report --maybe-color;				\
987	echo "$$col$$br$$std";						\
988	if $$success; then :; else					\
989	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
990	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
991	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
992	  fi;								\
993	  echo "$$col$$br$$std";					\
994	fi;								\
995	$$success || exit 1
996
997check-TESTS: $(check_PROGRAMS)
998	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
999	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1000	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1001	@set +e; $(am__set_TESTS_bases); \
1002	log_list=`for i in $$bases; do echo $$i.log; done`; \
1003	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1004	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1005	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1006	exit $$?;
1007recheck: all $(check_PROGRAMS)
1008	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1009	@set +e; $(am__set_TESTS_bases); \
1010	bases=`for i in $$bases; do echo $$i; done \
1011	         | $(am__list_recheck_tests)` || exit 1; \
1012	log_list=`for i in $$bases; do echo $$i.log; done`; \
1013	log_list=`echo $$log_list`; \
1014	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1015	        am__force_recheck=am--force-recheck \
1016	        TEST_LOGS="$$log_list"; \
1017	exit $$?
1018runtests.log: runtests$(EXEEXT)
1019	@p='runtests$(EXEEXT)'; \
1020	b='runtests'; \
1021	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1022	--log-file $$b.log --trs-file $$b.trs \
1023	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1024	"$$tst" $(AM_TESTS_FD_REDIRECT)
1025runtestspp.log: runtestspp$(EXEEXT)
1026	@p='runtestspp$(EXEEXT)'; \
1027	b='runtestspp'; \
1028	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1029	--log-file $$b.log --trs-file $$b.trs \
1030	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1031	"$$tst" $(AM_TESTS_FD_REDIRECT)
1032.test.log:
1033	@p='$<'; \
1034	$(am__set_b); \
1035	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1036	--log-file $$b.log --trs-file $$b.trs \
1037	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1038	"$$tst" $(AM_TESTS_FD_REDIRECT)
1039@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1040@am__EXEEXT_TRUE@	@p='$<'; \
1041@am__EXEEXT_TRUE@	$(am__set_b); \
1042@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1043@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1044@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1045@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1046
1047distdir: $(BUILT_SOURCES)
1048	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1049
1050distdir-am: $(DISTFILES)
1051	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1052	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1053	list='$(DISTFILES)'; \
1054	  dist_files=`for file in $$list; do echo $$file; done | \
1055	  sed -e "s|^$$srcdirstrip/||;t" \
1056	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1057	case $$dist_files in \
1058	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1059			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1060			   sort -u` ;; \
1061	esac; \
1062	for file in $$dist_files; do \
1063	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1064	  if test -d $$d/$$file; then \
1065	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1066	    if test -d "$(distdir)/$$file"; then \
1067	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1068	    fi; \
1069	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1070	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1071	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1072	    fi; \
1073	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1074	  else \
1075	    test -f "$(distdir)/$$file" \
1076	    || cp -p $$d/$$file "$(distdir)/$$file" \
1077	    || exit 1; \
1078	  fi; \
1079	done
1080	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1081	  if test "$$subdir" = .; then :; else \
1082	    $(am__make_dryrun) \
1083	      || test -d "$(distdir)/$$subdir" \
1084	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1085	      || exit 1; \
1086	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1087	    $(am__relativize); \
1088	    new_distdir=$$reldir; \
1089	    dir1=$$subdir; dir2="$(top_distdir)"; \
1090	    $(am__relativize); \
1091	    new_top_distdir=$$reldir; \
1092	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1093	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1094	    ($(am__cd) $$subdir && \
1095	      $(MAKE) $(AM_MAKEFLAGS) \
1096	        top_distdir="$$new_top_distdir" \
1097	        distdir="$$new_distdir" \
1098		am__remove_distdir=: \
1099		am__skip_length_check=: \
1100		am__skip_mode_fix=: \
1101	        distdir) \
1102	      || exit 1; \
1103	  fi; \
1104	done
1105check-am: all-am
1106	$(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1107	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1108check: check-recursive
1109all-am: Makefile $(LIBRARIES)
1110installdirs: installdirs-recursive
1111installdirs-am:
1112install: install-recursive
1113install-exec: install-exec-recursive
1114install-data: install-data-recursive
1115uninstall: uninstall-recursive
1116
1117install-am: all-am
1118	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1119
1120installcheck: installcheck-recursive
1121install-strip:
1122	if test -z '$(STRIP)'; then \
1123	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1124	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1125	      install; \
1126	else \
1127	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1128	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1129	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1130	fi
1131mostlyclean-generic:
1132	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1133	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1134	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1135
1136clean-generic:
1137
1138distclean-generic:
1139	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1140	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1141
1142maintainer-clean-generic:
1143	@echo "This command is intended for maintainers to use"
1144	@echo "it deletes files that may require special tools to rebuild."
1145clean: clean-recursive
1146
1147clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1148	clean-noinstLIBRARIES mostlyclean-am
1149
1150distclean: distclean-recursive
1151		-rm -f ./$(DEPDIR)/chardata.Po
1152	-rm -f ./$(DEPDIR)/memcheck.Po
1153	-rm -f ./$(DEPDIR)/minicheck.Po
1154	-rm -f ./$(DEPDIR)/runtests.Po
1155	-rm -f ./$(DEPDIR)/runtestspp.Po
1156	-rm -f ./$(DEPDIR)/structdata.Po
1157	-rm -f Makefile
1158distclean-am: clean-am distclean-compile distclean-generic \
1159	distclean-tags
1160
1161dvi: dvi-recursive
1162
1163dvi-am:
1164
1165html: html-recursive
1166
1167html-am:
1168
1169info: info-recursive
1170
1171info-am:
1172
1173install-data-am:
1174
1175install-dvi: install-dvi-recursive
1176
1177install-dvi-am:
1178
1179install-exec-am:
1180
1181install-html: install-html-recursive
1182
1183install-html-am:
1184
1185install-info: install-info-recursive
1186
1187install-info-am:
1188
1189install-man:
1190
1191install-pdf: install-pdf-recursive
1192
1193install-pdf-am:
1194
1195install-ps: install-ps-recursive
1196
1197install-ps-am:
1198
1199installcheck-am:
1200
1201maintainer-clean: maintainer-clean-recursive
1202		-rm -f ./$(DEPDIR)/chardata.Po
1203	-rm -f ./$(DEPDIR)/memcheck.Po
1204	-rm -f ./$(DEPDIR)/minicheck.Po
1205	-rm -f ./$(DEPDIR)/runtests.Po
1206	-rm -f ./$(DEPDIR)/runtestspp.Po
1207	-rm -f ./$(DEPDIR)/structdata.Po
1208	-rm -f Makefile
1209maintainer-clean-am: distclean-am maintainer-clean-generic
1210
1211mostlyclean: mostlyclean-recursive
1212
1213mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1214	mostlyclean-libtool
1215
1216pdf: pdf-recursive
1217
1218pdf-am:
1219
1220ps: ps-recursive
1221
1222ps-am:
1223
1224uninstall-am:
1225
1226.MAKE: $(am__recursive_targets) check-am install-am install-strip
1227
1228.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1229	am--depfiles check check-TESTS check-am clean \
1230	clean-checkPROGRAMS clean-generic clean-libtool \
1231	clean-noinstLIBRARIES cscopelist-am ctags ctags-am distclean \
1232	distclean-compile distclean-generic distclean-libtool \
1233	distclean-tags distdir dvi dvi-am html html-am info info-am \
1234	install install-am install-data install-data-am install-dvi \
1235	install-dvi-am install-exec install-exec-am install-html \
1236	install-html-am install-info install-info-am install-man \
1237	install-pdf install-pdf-am install-ps install-ps-am \
1238	install-strip installcheck installcheck-am installdirs \
1239	installdirs-am maintainer-clean maintainer-clean-generic \
1240	mostlyclean mostlyclean-compile mostlyclean-generic \
1241	mostlyclean-libtool pdf pdf-am ps ps-am recheck tags tags-am \
1242	uninstall uninstall-am
1243
1244.PRECIOUS: Makefile
1245
1246
1247# Tell versions [3.59,3.63) of GNU make to not export all variables.
1248# Otherwise a system limit (for SysV at least) may be exceeded.
1249.NOEXPORT:
1250